Welcome to the new WEEX API documentation. Looking for the previous version?Switch to the legacy docs
WEEX
WEEX Copy Trading REST API

Trader API

Endpoint

Get Copy Trader Pairs

Get Copy Trader Pairs.

GET
/capi/v3/copy/trader/pairs
https://api-contract.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight1

Get Copy Trader Pairs › Responses

200

Successful response

​string[]

Get Copy Trader Open Orders (USER_DATA)

Get Copy Trader Open Orders (USER_DATA).

GET
/capi/v3/copy/trader/openOrders
https://api-contract.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight10

Get Copy Trader Open Orders (USER_DATA) › query Parameters

symbol
​string

Filter by symbol, for example BTCUSDT.

limit
​integer

Page size, 1-100. Default: 100.

page
​integer

Page number, starts from 1. Default: 1.

Get Copy Trader Open Orders (USER_DATA) › Responses

200

Successful response

​object[]
trackingNo
​integer

Tracking order ID.

symbol
​string

Symbol.

openOrderId
​integer

Open order ID generated by the trading system.

openLeverage
​integer

Open leverage.

openPriceAvg
​string

Average open price.

openTime
​integer

Open time in milliseconds.

openSize
​string

Open order size.

openFee
​string

Open fee.

openMarginAmount
​string

Open margin amount.

openFillSize
​string

Filled open size.

positionSide
​string

Position side: LONG, SHORT, or BOTH.

status
​string

Tracking order status.

tpTriggerPrice
​string

Take-profit trigger price.

slTriggerPrice
​string

Stop-loss trigger price.

realizedPnl
​string

Realized PnL.

profitRate
​string

Profit rate.

netProfit
​string

Net profit.

followCount
​integer

Follower count.

createdTime
​integer

Create time in milliseconds.

updateTime
​integer

Update time in milliseconds.


Get Copy Trader History Orders (USER_DATA)

Get Copy Trader History Orders (USER_DATA).

GET
/capi/v3/copy/trader/historyOrders
https://api-contract.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight10

Get Copy Trader History Orders (USER_DATA) › query Parameters

symbol
​string

Filter by symbol, for example BTCUSDT.

limit
​integer

Page size, 1-100. Default: 100.

startTime
​integer

Start time in milliseconds. The maximum query range is 90 days.

endTime
​integer

End time in milliseconds. The maximum query range is 90 days.

nextKeyId
​integer

Cursor ID returned from the previous page.

nextKeyTime
​integer

Cursor time returned from the previous page.

Get Copy Trader History Orders (USER_DATA) › Responses

200

Successful response

​object[]

History tracking order list. The item structure is the same as Get Copy Trader Open Orders.

nextFlag
​boolean

Whether there is a next page.

nextKey
​object | null

Cursor for the next page.